---
- hosts: localhost
  become: no
  tasks:
    - name: "Check ansible version >=2.7.6"
      assert:
        msg: "Ansible must be v2.7.6 or higher"
        that:
          - ansible_version.string is version("2.7.6", ">=")
      tags:
        - check
  vars:
    ansible_connection: local

- hosts: all
  vars:
    ansible_ssh_pipelining: true
  gather_facts: true

- hosts: "{{ node | default('etcd:k8s-cluster:calico-rr') }}"
  vars_prompt:
    name: "delete_nodes_confirmation"
    prompt: "Are you sure you want to delete nodes state? Type 'yes' to delete nodes."
    default: "no"
    private: no

  pre_tasks:
    - name: check confirmation
      fail:
        msg: "Delete nodes confirmation failed"
      when: delete_nodes_confirmation != "yes"

- hosts: kube-master
  roles:
    - { role: remove-node/pre-remove, tags: pre-remove }

- hosts: "{{ node | default('kube-node') }}"
  roles:
    - { role: kubespray-defaults }
    - { role: reset, tags: reset }

- hosts: kube-master
  roles:
    - { role: remove-node/post-remove, tags: post-remove }
